ArcoLinux -D -B 19.5 iso's have been released

[SOLVED] Oomox plugin error won't launch

User avatar
spnzd
Crewman
Posts: 9
Joined: Sat Jul 27, 2019 12:59 pm
Netherlands
[SOLVED] Oomox plugin error won't launch

Post by spnzd » Wed Sep 11, 2019 10:25 am

Hello, i dont know if the topic is on the right place. Let me know.

For some reason i cannot launch Oomox anymore, without errors.
I reinstalled stable and git version. No succes.

I am not sure if it is Oomox or something else. (python ?)
The screenshot is one shot of the errors.

edit : deleted image : output terminal in comment.


I hope someone can give me a direction to look at.

Thanks in advance.
Last edited by spnzd on Thu Sep 12, 2019 8:46 am, edited 3 times in total.
Arcolinux D I3 xfce4-panel

User avatar
erikdubois
Captain
Posts: 2345
Joined: Tue Nov 07, 2017 3:45 pm
Location: Belgium
Contact:
Belgium
Re: [OPEN] Oomox plugin error won't launch

Post by erikdubois » Wed Sep 11, 2019 3:03 pm

Can you fix the image?

and show us what happens in the terminal when you try to launch it... there are hints in there
Learn, have fun and enjoy.
But first use the power of the Arch Wiki
use the tutorials on https://www.youtube.com/erikdubois
then use the power of google
then use the power of our moderators.

User avatar
spnzd
Crewman
Posts: 9
Joined: Sat Jul 27, 2019 12:59 pm
Netherlands
Re: [OPEN] Oomox plugin error won't launch

Post by spnzd » Wed Sep 11, 2019 3:09 pm

this is the output from the terminal launching oomox

Code: Select all

(__main__.py:1926447): Gtk-WARNING **: 15:06:05.028: Theme parsing error: gtk.css:2:0: Expected a valid selector
Traceback (most recent call last):
  File "/usr/lib/python3.7/runpy.py", line 193, in _run_module_as_main
    "__main__", mod_spec)
  File "/usr/lib/python3.7/runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "/opt/oomox/oomox_gui/__main__.py", line 1, in <module>
    from .main import main
  File "/opt/oomox/oomox_gui/main.py", line 23, in <module>
    from .preset_list import ThemePresetList
  File "/opt/oomox/oomox_gui/preset_list.py", line 8, in <module>
    from .settings import UI_SETTINGS
  File "/opt/oomox/oomox_gui/settings.py", line 91, in <module>
    preset_list_sections_expanded={},
  File "/opt/oomox/oomox_gui/settings.py", line 80, in __init__
    default_config=default_config
  File "/opt/oomox/oomox_gui/settings.py", line 32, in __init__
    self.load()
  File "/opt/oomox/oomox_gui/settings.py", line 43, in load
    for key, value in json.load(file_object).items():
  File "/usr/lib/python3.7/json/__init__.py", line 296, in load
    parse_constant=parse_constant, object_pairs_hook=object_pairs_hook, **kw)
  File "/usr/lib/python3.7/json/__init__.py", line 348, in loads
    return _default_decoder.decode(s)
  File "/usr/lib/python3.7/json/decoder.py", line 337, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
  File "/usr/lib/python3.7/json/decoder.py", line 355, in raw_decode
    raise JSONDecodeError("Expecting value", s, err.value) from None
json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)


but also strange happens with Bleachbit

the output as Root and user

Code: Select all

Traceback (most recent call last):
  File "/usr/share/bleachbit/GUI.py", line 250, in do_startup
    self.build_app_menu()
  File "/usr/share/bleachbit/GUI.py", line 98, in build_app_menu
    builder.add_from_file(bleachbit.app_menu_filename)
gi.repository.GLib.Error: g-file-error-quark: Failed to open file “/usr/share/data/app-menu.ui”: No such file or directory (4)
Traceback (most recent call last):
  File "/usr/share/bleachbit/GUI.py", line 284, in do_activate
    application=self, title=APP_NAME, auto_exit=self._auto_exit)
  File "/usr/share/bleachbit/GUI.py", line 466, in __init__
    self.populate_window()
  File "/usr/share/bleachbit/GUI.py", line 970, in populate_window
    self.headerbar = self.create_headerbar()
  File "/usr/share/bleachbit/GUI.py", line 913, in create_headerbar
    builder.add_from_file(bleachbit.app_menu_filename)
gi.repository.GLib.Error: g-file-error-quark: Failed to open file “/usr/share/data/app-menu.ui”: No such file or directory (4)
it doesnt find app-menu-ui ?
Arcolinux D I3 xfce4-panel

User avatar
erikdubois
Captain
Posts: 2345
Joined: Tue Nov 07, 2017 3:45 pm
Location: Belgium
Contact:
Belgium
Re: [OPEN] Oomox plugin error won't launch

Post by erikdubois » Wed Sep 11, 2019 7:29 pm

There is a reason why Oomox is no longer on our iso.

Applications that lead to frustrations will never be allowed on the iso.

The other reason was the building process that build for ages and needed a lot of extra dependencies to be build.

Keep track of the last updates with the alias rip.

It might be some dependency got updated and then the pkgbuild needs to be adapted.

I will build it and let you know what happens.

First update your system fully with update and pksyua and reboot.

And reinstall oomox.
Learn, have fun and enjoy.
But first use the power of the Arch Wiki
use the tutorials on https://www.youtube.com/erikdubois
then use the power of google
then use the power of our moderators.

User avatar
erikdubois
Captain
Posts: 2345
Joined: Tue Nov 07, 2017 3:45 pm
Location: Belgium
Contact:
Belgium
Re: [OPEN] Oomox plugin error won't launch

Post by erikdubois » Wed Sep 11, 2019 7:41 pm

The installation took forever.

Actions done.

Code: Select all

update 
skel
pksyua
sudo reboot
yay oomox
choose the oomox and not git version
said yes to all popups

oomox installs and boots

IF you have installed it already first delete this cache folder
~/.cache/yay

Then install it again with

Code: Select all

yay oomox
Good luck
Learn, have fun and enjoy.
But first use the power of the Arch Wiki
use the tutorials on https://www.youtube.com/erikdubois
then use the power of google
then use the power of our moderators.

User avatar
erikdubois
Captain
Posts: 2345
Joined: Tue Nov 07, 2017 3:45 pm
Location: Belgium
Contact:
Belgium
Re: [OPEN] Oomox plugin error won't launch

Post by erikdubois » Wed Sep 11, 2019 7:46 pm

Code: Select all

sudo pacman -S bleachbit
installs fine and works
Learn, have fun and enjoy.
But first use the power of the Arch Wiki
use the tutorials on https://www.youtube.com/erikdubois
then use the power of google
then use the power of our moderators.

User avatar
spnzd
Crewman
Posts: 9
Joined: Sat Jul 27, 2019 12:59 pm
Netherlands
Re: [OPEN] Oomox plugin error won't launch

Post by spnzd » Wed Sep 11, 2019 8:03 pm

Thanks Erik for the quick reply and the work.

An update later.
Arcolinux D I3 xfce4-panel

User avatar
erikdubois
Captain
Posts: 2345
Joined: Tue Nov 07, 2017 3:45 pm
Location: Belgium
Contact:
Belgium
Re: [OPEN] Oomox plugin error won't launch

Post by erikdubois » Wed Sep 11, 2019 8:06 pm

Can I change it to SOLVED ?
Learn, have fun and enjoy.
But first use the power of the Arch Wiki
use the tutorials on https://www.youtube.com/erikdubois
then use the power of google
then use the power of our moderators.

User avatar
spnzd
Crewman
Posts: 9
Joined: Sat Jul 27, 2019 12:59 pm
Netherlands
Re: [OPEN] Oomox plugin error won't launch

Post by spnzd » Wed Sep 11, 2019 9:37 pm

I am sorry i still get the same errors when launching oomox.

I did what you said.

bleachbit worked after removing it's folder from opt and installed it again.
Arcolinux D I3 xfce4-panel

User avatar
erikdubois
Captain
Posts: 2345
Joined: Tue Nov 07, 2017 3:45 pm
Location: Belgium
Contact:
Belgium
Re: [OPEN] Oomox plugin error won't launch

Post by erikdubois » Wed Sep 11, 2019 10:07 pm

If you can install it on an other pc or on virtualbox. You need to have a clean installed ArcoLinux.

If that works - you know it is because of your extra packages you installed.
Learn, have fun and enjoy.
But first use the power of the Arch Wiki
use the tutorials on https://www.youtube.com/erikdubois
then use the power of google
then use the power of our moderators.


Post Reply

Return to “Installation of Software (pacman, AUR, ...)”